:root {
    --nav-height: 50px;
    --nav-padding: 27px;
    --content-top-margin: 15px;
    --link-hue: #6aaff0;
    color: #ababab;
}

body {
    margin: 0;
    background-color: var(--background-color);
    color: var(--foreground-color);
    font-family: Arial;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

a {
    color: inherit;
}

#mainNav {
    display: flex;
    flex-direction: row;

    position: fixed;
    overflow-x: scroll;

    left: 0;
    top: 0;
    height: var(--nav-height);
    width: 100%;

    background-color: var(--nav-background-color);
    color: var(--nav-foreground-color);
}

#mainNav > * {
    line-height: var(--nav-height);
    margin: 0 calc(var(--nav-padding) / 2);
    padding: 0 var(--nav-padding);
    height: 100%;
    text-align: center;
    text-decoration: none;
}

#mainNav > :not(:has(img)):hover {
    background-color: var(--nav-hover-background-color);
}

#mainNav > :has(img) {
    padding: 0 !important;
}

#mainNav img {
    height: 80%;
    width: auto;
    object-fit: contain;
    vertical-align: middle;
}

#mainNav img:hover {
    background-color: var(--nav-hover-background-color);
}

#mainSearch {
    position: absolute;
    height: 100%;
    right: 0;
    display: flex;
    align-items: center;
}

#mainSearch * {
    border: 0;
    background-color: var(--background-color);
    color: var(--foreground-color);
    top: 25%;
    height: 65%;
    padding: 5px;
}

#mainSearch button {
    cursor: pointer;
}

#mainSearch input[type="search"] {
    width: 200px;
    filter: brightness(0.8);
}

#mainSearch input[type="search"]::placeholder { 
    color: var(--placeholder-color, #8e8e8f);
}

.mainContent {
    margin: 15px;
    margin-top: calc(var(--nav-height) + var(--content-top-margin));
    color: var(--foreground-color);
    flex: 1;
}

footer {
    min-height: 50px;
    background-color: rgb(214, 214, 214);
    color: black;
}

footer > * {
    display: block;
    margin: 10px;
}

footer a {
    text-decoration: none;
}

footer a > img {
    height: 1.5em;
    width: auto;
    vertical-align: middle;
    position: relative;
    top: -2px;
}

#theme-toggle {
    margin: 5px;
    padding: 5px;
    border-radius: 4px;
    border: 0;
    background-color: var(--nav-background-color);
    color: var(--nav-foreground-color);
    align-self: flex-start;
    cursor: pointer;
}

li a {
    color: var(--link-hue);
    text-decoration: none;
}

li a:hover {
    text-decoration: underline;
}